Skip to main content
`Ctrl`+`K`

# TSExactFinalTimeOption

option for handling of final time step

## Synopsis

    #include <petscts.h>
    typedef enum {
      TS_EXACTFINALTIME_UNSPECIFIED = 0,
      TS_EXACTFINALTIME_STEPOVER    = 1,
      TS_EXACTFINALTIME_INTERPOLATE = 2,
      TS_EXACTFINALTIME_MATCHSTEP   = 3
    } TSExactFinalTimeOption;

## Values

- `TS_EXACTFINALTIME_STEPOVER` - Don’t do anything if requested final time is exceeded

- `TS_EXACTFINALTIME_INTERPOLATE` - Interpolate back to final time

- `TS_EXACTFINALTIME_MATCHSTEP` - Adapt final time step to match the final time requested

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetConvergedReason()`, `TSSetExactFinalTime()`, `TSGetExactFinalTime()`

## Level

beginner

## Location

include/petscts.h

## Examples

src/ts/tutorials/ex16fwd.c
src/ts/tutorials/ex20td.c
src/ts/tutorials/ex20adj.c
src/tao/unconstrained/tutorials/burgers_spectral.c
src/ts/tutorials/ex20opt_p.c
src/ts/tutorials/ex31.c
src/ts/tutorials/ex20fwd.c
src/ts/tutorials/ex20opt_ic.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ts/tutorials/ex23fwdadj.c

## Examples

src/ts/tutorials/ex13.c
src/ts/tutorials/ex12.c
src/ts/tutorials/ex26.c
src/ts/tutorials/ex51.c
src/ts/tutorials/ex10.c
src/ts/tutorials/ex27.c
src/ts/tutorials/ex15.c
src/ts/tutorials/ex9.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex1.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages